# Generated by rust2rpm 27
%bcond check 1

Name:           trustee-guest-components
Version:        0.10.0^124.git0061d03
Release:        %autorelease
Summary:        Tools that run in confidential VMs, attest and get secrets from Trustee

SourceLicense:  Apache-2.0

# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# ISC
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:       Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND ( Apache-2.0 OR ISC OR MIT ) AND ( Apache-2.0 OR MIT ) AND ( BSD-2-Clause OR Apache-2.0 OR MIT ) AND ISC AND MIT AND ( MIT OR Apache-2.0 ) AND ( MIT OR Apache-2.0 OR Zlib ) AND ( ( MIT OR Apache-2.0 ) AND Unicode-DFS-2016 ) AND MPL-2.0 AND ( Unlicense OR MIT ) AND ( Zlib OR Apache-2.0 OR MIT )
# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/confidential-containers/guest-components
Source:         https://github.com/confidential-containers/guest-components/archive/0061d036509e451597f5f61492b41849b36a32a1.zip
# * Remove workspace members which are not built
Patch1:         0001-Fedora-Remove-workspace-members-which-are-not-built.patch
# * deps/crypto defaults to openssl
Patch2:         0002-Fedora-AA-deps-crypto-default-to-openssl.patch
# * use native-tls for reqwest
Patch3:         0003-Fedora-kbs_protocol-Cargo.toml-reqwest-use-native-TL.patch
# * remove dependency jwt-simple - not in Fedora
Patch4:         0004-Fedora-remove-jwt-simple-dependency.patch
# * remove dependency ttrpc - not in Fedora
Patch5:         0005-Fedora-remove-ttrpc-dependency.patch
# * pick attesters to build
Patch6:         0006-Fedora-attester-pick-attesters-in-all-attesters.patch
# * remove dependency testcontainers - not in Fedora
Patch7:         0007-Fedora-remove-testcontainers-dependency.patch
# * kbs_protocol defaults to openssl
Patch8:         0008-Fedora-kbs_protocol-default-to-openssl.patch
# * rstest version is 0.23
Patch9:         0009-Fedora-rstest-0.23.patch
# * clap version is 4.5.19
Patch10:        0010-Fedora-use-clap-4.5.19.patch
# * kbs-types version is 0.8.0
Patch11:        0011-Fedora-kbs-types-0.8.0.patch
# * add package.license to kbs_protocol/Cargo.toml
Patch12:        0012-Fedora-kbs_protocol-Cargo.toml-add-package.license.patch
# * tokio version is 1.41
Patch13:        0013-Fedora-tokio-version-is-1.41.patch
# * url version is 2.5.2
Patch14:        0014-Fedora-url-version-is-2.5.2.patch

ExclusiveArch:  x86_64
BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Running in a confidential VM, gather confidential-computing evidence,
send it to Trustee and get secrets.
A part of the confidential-containers project}

%description %{_description}

%prep
%autosetup -n guest-components-0061d036509e451597f5f61492b41849b36a32a1 -p1
# Cargo.lock isn't uptodate and rpmbuild set --offline
rm -f Cargo.lock
# Work in kbs_protocol directory
cd attestation-agent/kbs_protocol
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
cd attestation-agent/kbs_protocol
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
mv LICENSE.dependencies ../../

%install
cd attestation-agent/kbs_protocol
mkdir -p %{buildroot}%{_docdir}/%{name}
install -m 0644 src/bin/trustee-attester/README.md %{buildroot}%{_docdir}/%{name}/trustee-attester-README.md
%cargo_install

%if %{with check}
%check
cd attestation-agent/kbs_protocol
%cargo_test
%endif

%files
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%doc trustee-attester-README.md
%{_bindir}/trustee-attester

%changelog
%autochangelog
